STRUCT TEMPLATE(3)

NAME
boost::accumulators::impl::moment_impl

SYNOPSIS

// In header: <boost/accumulators/statistics/moment.hpp>
template<typename N, typename Sample>
struct moment_impl {
  // types
  typedef numeric::functional::average< Sample, std::size_t >::result_type result_type;
  // construct/copy/destruct
  template<typename Args> moment_impl(Args const &);
  // public member functions
   BOOST_MPL_ASSERT_RELATION(N::value, 0);
  template<typename Args> void operator()(Args const &);
  template<typename Args> result_type result(Args const &) const;
};

DESCRIPTION

  moment_impl public construct/copy/destruct

    1.

    template<typename Args> moment_impl(Args const & args);

  moment_impl public member functions

    1.

     BOOST_MPL_ASSERT_RELATION(N::value, 0);

    2.

    template<typename Args> void operator()(Args const & args);

    3.

    template<typename Args> result_type result(Args const & args) const;